package com.allmycode.p01_06_06

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import android.webkit.WebSettings
import android.webkit.WebView
import androidx.core.view.get
import kotlinx.android.synthetic.main.activity_main.*
import kotlinx.android.synthetic.main.reusable_layout.*

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
    }

    fun onButtonClick(view: View){
        val builder = StringBuilder()

        if (checkBox.isChecked()){
            builder.append("Pepperoni")
        }
        if (checkBox2.isChecked()){
            if (builder.length == 0){
                builder.append("Extra Cheese")
            } else {
                builder.append(" and Extra Cheese")
            }
        }
        if (builder.length == 0){
            builder.append("Plain")
        }

        val thisView: WebView = findViewById(R.id.myWebView)
        val mySettings: WebSettings = thisView.settings

        mySettings.setAppCacheEnabled(true)
        mySettings.cacheMode = WebSettings.LOAD_CACHE_ELSE_NETWORK
        mySettings.javaScriptEnabled = true
        mySettings.loadWithOverviewMode = true

        thisView.loadUrl("https://www.google.com/search?q="
                + builder.toString())
    }
}
